Loading...
Loading...
Creates many deals in a single request. Each deal requires a name. All other fields are optional. Deals can include services with quantities using the services array.
apiKeyAuth API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= items <= 10application/json
application/json
application/json
application/json
application/json
curl -X POST "https://customermates.com/api/v1/deals/many" \ -H "Content-Type: application/json" \ -d '{ "deals": [ { "name": "string" } ] }'[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"totalValue": 0,
"totalQuantity": 0,
"notes": {},
"createdAt": "string",
"updatedAt": "string",
"organizations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
],
"users": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string",
"email": "user@example.com"
}
],
"contacts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string"
}
],
"services": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"amount": 0
}
],
"servicesWithQuantity": [
{
"serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9",
"quantity": 0
}
],
"customFieldValues": [
{
"columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
"value": "string"
}
]
}
]"string""string""string""string"